<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_PIEPLOT3D"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>PiePlot3D</b> EXTENDS <a href="PiePlot.html#_C_PIEPLOT" style="font-face:arial;font-weight:bold;">PiePlot</a></div>
<i>(Defined in: jpgraph_pie3d.php : 18)</i><table border=1><tr><td>&nbsp;<a href="PiePlot3D.html" style="font-family:arial;font-weight:bold;color:darkblue;">PiePlot3D</a>&nbsp;</td><td>&nbsp;<a href="PiePlot.html" style="font-family:arial;font-weight:bold;color:darkblue;">PiePlot</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_PIEPLOT3D">PiePlot3d()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETANGLE">SetAngle()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETCSIMTARGETS">SetCSIMTargets()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETEDGE">SetEdge()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETHEIGHT">SetHeight()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETLABELMARGIN">SetLabelMargin()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETLABELS">SetLabels()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETLEGENDS">SetLegends()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETSLICECOLORS">SetSliceColors()</a>&nbsp;<br>
&nbsp;<a href="PiePlot3D.html#_PIEPLOT3D_SETSTARTANGLE">SetStartAngle()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="PiePlot.html#_PIEPLOT_EXPLODE">Explode()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_EXPLODEALL">ExplodeAll()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_EXPLODESLICE">ExplodeSlice()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_PIEPLOT">PiePlot()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETCENTER">SetCenter()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETCOLOR">SetColor()</a>&nbsp;<br>
<a href="PiePlot.html#_PIEPLOT_SETCSIMTARGETS" style="color:darkgrey;">SetCSIMTargets()&nbsp;</a><br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETFONT">SetFont()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETFONTCOLOR">SetFontColor()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETGUIDELINES">SetGuideLines()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETGUIDELINESADJUST">SetGuideLinesAdjust()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETLABELPOS">SetLabelPos()</a>&nbsp;<br>
<a href="PiePlot.html#_PIEPLOT_SETLABELS" style="color:darkgrey;">SetLabels()&nbsp;</a><br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETLABELTYPE">SetLabelType()</a>&nbsp;<br>
<a href="PiePlot.html#_PIEPLOT_SETLEGENDS" style="color:darkgrey;">SetLegends()&nbsp;</a><br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETSHADOW">SetShadow()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETSIZE">SetSize()</a>&nbsp;<br>
<a href="PiePlot.html#_PIEPLOT_SETSLICECOLORS" style="color:darkgrey;">SetSliceColors()&nbsp;</a><br>
<a href="PiePlot.html#_PIEPLOT_SETSTARTANGLE" style="color:darkgrey;">SetStartAngle()&nbsp;</a><br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETTHEME">SetTheme()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SETVALUETYPE">SetValueType()</a>&nbsp;<br>
&nbsp;<a href="PiePlot.html#_PIEPLOT_SHOWBORDER">ShowBorder()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>A 3D pie plot is much like a normal pie plot but in a 3D setting. You can control the apperance by specifying the angle of attack for the pie. A small angle show a very "flat" pie while a large angle shows almost a 2D pie.

Please note that a 3D pie is <b>much</b> more CPU intensive to draw then the normal pie. To reduce the time you might want to keep the height of the pie as small as you think looks good.  The height has a direct linear impact on how long it takes to draw a 3D pie. (See SetHeight()).

To view a 3D pieplot you start by constructing a PieGraph() and then adding a numerb of constructed PiePlot3D to this graph.
 <p> &nbsp;
<div style="font-weight:bold;font-family:arial;font-size:85%;">See also related classes:</div><a href="PieGraph.html">PieGraph</a> and <a href="PiePlot.html">PiePlot</a> <p> &nbsp;<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_PIEPLOT3D"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">PiePlot3d</font><font color="#007700">(&amp;</font><font color="#0000BB">$data</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Construct a new 3D pie plot</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#007700">&amp;</font><font color="#0000BB">$data</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Data array for slices</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>This creates a new pie plot using the data supplied. This plot can then be added to the pie graph.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot3d&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">PiePlot3d</font><font color="#007700">(</font><font color="#0000BB">$ydata</font><font color="#007700">);<br /><br /></font><font color="#0000BB">$piegraph</font><font color="#007700">-&gt;</font><font color="#0000BB">Add</font><font color="#007700">(</font><font color="#0000BB">$pieplot3d</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETANGLE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetAngle</font><font color="#007700">(</font><font color="#0000BB">$a</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify projection angle for 3D in degrees.</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$a</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Projection angle in degrees</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify projection angle for 3D in degrees. Must be between 10 and 80 degrees. A small angle will make the pie very flat and a large angle will make it present much more of pie circle.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot</font><font color="#007700">-&gt;</font><font color="#0000BB">SetAngle</font><font color="#007700">(</font><font color="#0000BB">45</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETCSIMTARGETS"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetCSIMTargets</font><font color="#007700">(</font><font color="#0000BB">$targets</font><font color="#007700">,</font><font color="#0000BB">$alts</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify URL for each slice for the image map</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$targets</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Array of URL targets</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$alts</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">null</font>
</font>
</td><td>Array of Alt texts</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify URL for each slice for the image map&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$targets&nbsp;</font><font color="#007700">=&nbsp;array(</font><font color="#DD0000">'nextimage.php?1'</font><font color="#007700">,&nbsp;</font><font color="#DD0000">'nextimage.php?2'</font><font color="#007700">,&nbsp;</font><font color="#DD0000">'nextimage.php?3'</font><font color="#007700">);<br /></font><font color="#FF8000">//&nbsp;Show&nbsp;the&nbsp;actual&nbsp;value&nbsp;in&nbsp;the&nbsp;alt&nbsp;text&nbsp;when&nbsp;user&nbsp;hovers&nbsp;the<br />//&nbsp;cursor&nbsp;over&nbsp;the&nbsp;slice<br /></font><font color="#0000BB">$alts&nbsp;</font><font color="#007700">=&nbsp;array(</font><font color="#DD0000">'More&nbsp;details..(%.1f)'</font><font color="#007700">,&nbsp;</font><font color="#DD0000">'More&nbsp;details..(%.1f)'</font><font color="#007700">,&nbsp;</font><font color="#DD0000">'More&nbsp;details..(%.1f)'&nbsp;</font><font color="#007700">);<br /></font><font color="#0000BB">$pie</font><font color="#007700">-&gt;</font><font color="#0000BB">SetCSIMTargets</font><font color="#007700">(</font><font color="#0000BB">$targets</font><font color="#007700">,</font><font color="#0000BB">$alts</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETEDGE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetEdge</font><font color="#007700">(</font><font color="#0000BB">$aColor</font><font color="#007700">,</font><font color="#0000BB">$aWeight</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Add a line around pie slices</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aColor</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Color for line</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aWeight</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">1</font>
</font>
</td><td>Width of line</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify if the slices should be separated by a line? If color is specified as "" no line will be used to separate pie slices.

Default is to not show any lines.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot3d</font><font color="#007700">-&gt;</font><font color="#0000BB">SetEdge</font><font color="#007700">(</font><font color="#DD0000">'blue'</font><font color="#007700">,</font><font color="#0000BB">1</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETHEIGHT"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetHeight</font><font color="#007700">(</font><font color="#0000BB">$aHeight</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify thickness of the 3D pie plot</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aHeight</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Height in pixels</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify thickness of 3D pie plot. To minimize CPU usuage you should try to keep the thickness to the visual accepatble minimum.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot</font><font color="#007700">-&gt;</font><font color="#0000BB">SetHeight</font><font color="#007700">(</font><font color="#0000BB">20</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETLABELMARGIN"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetLabelMargin</font><font color="#007700">(</font><font color="#0000BB">$m</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify the distance from the pie to the labels</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$m</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Margin in pixels</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify the distance from the pie to the labels&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot3d</font><font color="#007700">-&gt;</font><font color="#0000BB">SetLabelMargin</font><font color="#007700">(</font><font color="#0000BB">20</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETLABELS"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetLabels</font><font color="#007700">(</font><font color="#0000BB">$aLabels</font><font color="#007700">,</font><font color="#0000BB">$aLblPosAdj</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify slice labels for 3D pies</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aLabels</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Label arrays</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aLblPosAdj</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB"></font><font color="#DD0000">"auto"</font><font color="#0000BB"></font>
</font>
</td><td>Label position [0.2- 1]</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify slice labels for 3D pies. Positoin specify the fraction of the radius wher the labels should be positoined. A values of 1 will position the labels outside the pie.
<p>
The labels may include an optional sprintf() formatting string. Before stroking the label to the graph it will be formatted with the actual value (absolute or percentage)  depending on what has been specified with the SetLabelType() method.
&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="PiePlot.html#_PIEPLOT_SETLABELTYPE">PiePlot::SetLabelType</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB"></font><font color="#FF8000">//&nbsp;Specify&nbsp;explicit&nbsp;labels&nbsp;and&nbsp;position&nbsp;them&nbsp;outside&nbsp;the&nbsp;pie<br /></font><font color="#0000BB">$p1</font><font color="#007700">-&gt;</font><font color="#0000BB">SetLabels</font><font color="#007700">(array(</font><font color="#DD0000">"Jan\n%.1f%%"</font><font color="#007700">,</font><font color="#DD0000">"Feb\n%.1f%%"</font><font color="#007700">,</font><font color="#DD0000">"Mar\n%.1f%%"</font><font color="#007700">,</font><font color="#DD0000">"Apr\n%.1f%%"</font><font color="#007700">),</font><font color="#0000BB">1</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETLEGENDS"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetLegends</font><font color="#007700">(</font><font color="#0000BB">$aLegend</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Set legends for slices</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aLegend</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Array of legends</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Set legends for slices&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$plot</font><font color="#007700">-&gt;</font><font color="#0000BB">SetLegends</font><font color="#007700">(array(</font><font color="#DD0000">'Jan'</font><font color="#007700">,</font><font color="#DD0000">'Feb'</font><font color="#007700">,</font><font color="#DD0000">'Mar'</font><font color="#007700">,</font><font color="#DD0000">'Apr'</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETSLICECOLORS"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetSliceColors</font><font color="#007700">(</font><font color="#0000BB">$aColors</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify color of the individual slices</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aColors</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Array of colors</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify color of the individual slices. If there are more slices than colors then the colors will wrap around.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$pieplot</font><font color="#007700">-&gt;</font><font color="#0000BB">SetSliceColors</font><font color="#007700">(array(</font><font color="#DD0000">'red'</font><font color="#007700">,</font><font color="#DD0000">'blue'</font><font color="#007700">,</font><font color="#DD0000">'green'</font><font color="#007700">,</font><font color="#DD0000">'navy'</font><font color="#007700">,</font><font color="#DD0000">'orange'</font><font color="#007700">));</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_PIEPLOT3D_SETSTARTANGLE"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetStartAngle</font><font color="#007700">(</font><font color="#0000BB">$aStart</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify start angle for first slice in the Pie</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aStart</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Start angle (in degrees</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify the start angle in degrees for the first slice in the Pie. Angles are counted counter-clockwise starting at "3'clock".&nbsp;<br>
<p> <hr> <p>